Postonus
APIReferenceUploads

Get a signed URL to upload a file

POST
/uploads/initiate
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/uploads/initiate" \  -H "Content-Type: application/json" \  -d '{    "scenarioId": "post_attachments",    "fileName": "string",    "fileType": "image/jpeg",    "fileSize": 1,    "checksum": "string"  }'
{  "uploadType": "single",  "uploadId": "ef523ba8-509e-47af-8e2c-5fa751596497",  "signedUrl": "string",  "requiredHeaders": {    "property1": "string",    "property2": "string"  },  "expiresAt": "2019-08-24T14:15:22Z"}